For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Get all my property configurations

GET
/v1/admin/integrations/:integration_id/properties
GET
/v1/admin/integrations/:integration_id/properties
$curl https://api.propexo.com/v1/admin/integrations/integration_id/properties \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "propconf-9f8b7c6d5e4a3b2c1d0e",
14 "created_at": "2024-05-20T10:15:30Z",
15 "integration_id": "intg-1234567890abcdef",
16 "property_id": "prop-abcdef1234567890",
17 "enabled": true
18 }
19 ]
20}
Get all my property configurations
Was this page helpful?
Previous

Get all my property list configurations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

integration_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error